Lintian ReportsBETA

Wmissing-debconf-dependency-for-preinst

Tag versions

The tag is present in Lintian version 2.109.3. That is the most recent version we know about.

Packages using debconf in their preinst scripts must pre-depend on debconf.

Since debconf is usually installed already, that is better than depending on it but falling back to a different configuration system.

Visibility: warning

Check: debian/debconf

The following 4 source packages in the archive triggered the tag 4 times.

We found 3 overrides. The tag performed 25% of the time.